SwishSearch->setSort
Server Specific Extensions
Swish Functions
PHP Manual

# SwishSearch->setStructure

(PECL swish >= 0.1.0)

SwishSearch->setStructure — Set the structure flag in the search object

### Description

void SwishSearch->setStructure ( int `$structure` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`structure`

  The structure flag a bitmask is used to limit search to certain parts of HTML documents (like title, meta, body etc.). Its possible values are listed below. To combine several values use bitwise OR operator, see example below.

- `Swish::IN_FILE`

- `Swish::IN_TITLE`

- `Swish::IN_HEAD`

- `Swish::IN_BODY`

- `Swish::IN_COMMENTS`

- `Swish::IN_HEADER`

- `Swish::IN_EMPHASIZED`

- `Swish::IN_META`

### Return Values

No value is returned.

### Examples

Example #1 Basic SwishSearch->setStructure() example

`<?php
try {
$swish = new Swish("index.swish-e");
$search = $swish->prepare();
$results = $search->execute("time");
echo "First query found: ", $results->hits, " hits\n";
$search->setStructure(Swish::IN_TITLE|Swish::IN_HEAD); //search in title and head
$results = $search->execute("time");
echo "Second query found: ", $results->hits, " hits\n";
$search->setStructure(Swish::IN_ALL); //search in whole document, the default value
$results = $search->execute("time");
echo "Third query found: ", $results->hits, " hits\n";
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    First query found: 5 hits
    Second query found: 0 hits
    Third query found: 5 hits

SwishSearch->setSort
Server Specific Extensions
Swish Functions
PHP Manual